summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:32 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:32 +0200
commit3df03c0ccdc9bb2283d1725c1fb388d8c819a341 (patch)
treeb0ed6ccca1d19aa292e97e72776af6ed21ff0491 /games
parent416f1e2c1b0ad5cdae54c0ada35e128ad2518efd (diff)
downloadslackbuilds-3df03c0ccdc9bb2283d1725c1fb388d8c819a341.tar.gz
slackbuilds-3df03c0ccdc9bb2283d1725c1fb388d8c819a341.tar.xz
games/snes9x_gtk: Added to 12.2 repository
Diffstat (limited to 'games')
-rw-r--r--games/snes9x_gtk/README11
-rw-r--r--games/snes9x_gtk/README_docs.txt4
-rw-r--r--games/snes9x_gtk/doinst.sh10
-rw-r--r--games/snes9x_gtk/slack-desc19
-rw-r--r--games/snes9x_gtk/snes9x.desktop9
-rw-r--r--games/snes9x_gtk/snes9x_gtk.SlackBuild80
-rw-r--r--games/snes9x_gtk/snes9x_gtk.info8
7 files changed, 141 insertions, 0 deletions
diff --git a/games/snes9x_gtk/README b/games/snes9x_gtk/README
new file mode 100644
index 0000000000..7e9b01c766
--- /dev/null
+++ b/games/snes9x_gtk/README
@@ -0,0 +1,11 @@
+Snes9x is a portable, freeware Super Nintendo Entertainment System (SNES)
+emulator. It basically allows you to play most games designed for the SNES
+and Super Famicom Nintendo game systems on your PC or Workstation. The
+games include some real gems that were only ever released in Japan.
+
+Snes9x_Gtk is an unofficial port of Snes9x with a GTK+ graphical frontend.
+
+This SlackBuild works on both 32-bit and 64-bit Slackware systems.
+
+Note: the README in the source tarball is apparently outdated: it claims
+gtkglext and portaudio are required dependencies, but they aren't.
diff --git a/games/snes9x_gtk/README_docs.txt b/games/snes9x_gtk/README_docs.txt
new file mode 100644
index 0000000000..35702296fd
--- /dev/null
+++ b/games/snes9x_gtk/README_docs.txt
@@ -0,0 +1,4 @@
+This directory contains the documentation for the original snes9x (the
+non-GTK+ version). Not all of the information here applies to snes9x_gtk,
+but some of it may still be useful... and the various licenses still
+apply.
diff --git a/games/snes9x_gtk/doinst.sh b/games/snes9x_gtk/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/games/snes9x_gtk/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/snes9x_gtk/slack-desc b/games/snes9x_gtk/slack-desc
new file mode 100644
index 0000000000..c2f07906ea
--- /dev/null
+++ b/games/snes9x_gtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+snes9x_gtk: snes9x_gtk (Super Nintendo Entertainment System emulator)
+snes9x_gtk:
+snes9x_gtk: Snes9x is a portable, freeware Super Nintendo Entertainment System
+snes9x_gtk: (SNES) emulator. It basically allows you to play most games designed
+snes9x_gtk: for the SNES and Super Famicom Nintendo game systems on your PC or
+snes9x_gtk: Workstation. The games include some real gems that were only ever
+snes9x_gtk: released in Japan.
+snes9x_gtk:
+snes9x_gtk: Snes9x_Gtk is an unofficial port of Snes9x with a GTK+ graphical
+snes9x_gtk: frontend.
+snes9x_gtk:
diff --git a/games/snes9x_gtk/snes9x.desktop b/games/snes9x_gtk/snes9x.desktop
new file mode 100644
index 0000000000..32927bb9d9
--- /dev/null
+++ b/games/snes9x_gtk/snes9x.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Snes9x
+Comment=Super NES Emulator
+Type=Application
+Categories=Game;Emulator;
+MimeType=application/x-snes-rom;
+Exec=snes9x-gtk %F
+TryExec=snes9x-gtk
+Icon=snes9x
diff --git a/games/snes9x_gtk/snes9x_gtk.SlackBuild b/games/snes9x_gtk/snes9x_gtk.SlackBuild
new file mode 100644
index 0000000000..667ca86dc3
--- /dev/null
+++ b/games/snes9x_gtk/snes9x_gtk.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for snes9x_gtk
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=snes9x_gtk
+VERSION=${VERSION:-1.51r72}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# The VERSION is a bit of a mess...
+SNES9XVER=${SNES9XVER:-1.51}
+GTKVER=${GTKVER:-72}
+SRCNAM=snes9x
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SNES9XVER-src
+tar xvf $CWD/$SRCNAM-$SNES9XVER-src-gtk-$GTKVER.tar.bz2
+cd $SRCNAM-$SNES9XVER-src/gtk
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/${SRCNAM}_original_docs
+cp doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp ../doc/* $CWD/README_docs.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/${SRCNAM}_original_docs
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# For some reason this license is provided in Classic Mac format (\r's
+# but no \n's). We want people to actually be able to read it, so:
+sed -i 's/\r/\n/g' \
+ $PKG/usr/doc/$PRGNAM-$VERSION/${SRCNAM}_original_docs/${SRCNAM}-license.txt
+
+# We don't need 2 copies of the LGPL v2.1 (we already have the GPL,
+# LGPL v3, and proprietary snes9x licenses...)
+cd $PKG/usr/doc/$PRGNAM-$VERSION
+ rm -f snes_ntsc_license.txt
+ ln -s ${SRCNAM}_original_docs/LGPL-2.1 snes_ntsc_license.txt
+cd -
+
+# Don't use the shipped .desktop file: it fails desktop-file-validate
+cat $CWD/$SRCNAM.desktop > $PKG/usr/share/applications/$SRCNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/snes9x_gtk/snes9x_gtk.info b/games/snes9x_gtk/snes9x_gtk.info
new file mode 100644
index 0000000000..e453d3fab8
--- /dev/null
+++ b/games/snes9x_gtk/snes9x_gtk.info
@@ -0,0 +1,8 @@
+PRGNAM="snes9x_gtk"
+VERSION="1.51r72"
+HOMEPAGE="http://code.google.com/p/snes9x-gtk/"
+DOWNLOAD="http://snes9x-gtk.googlecode.com/files/snes9x-1.51-src-gtk-72.tar.bz2"
+MD5SUM="84d071155770d27ad5ed1350575d1108"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"